
Katello - Bug #23972

hammer doesn't show "release-version" and "service-level" for "activation-key"

06/18/2018 09:18 AM - Anand Agrawal

Status: Closed   

Priority: Normal   

Assignee: Anand Agrawal   

Category: Hammer   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1592267 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/562

  

Description

We are able to set/update "release-version" and "service-level" for an activation key from hammer as below:

hammer activation-key update --organization REDHAT --name ak1 --release-version 7.3

But we can not get these values back through hammer,

1. hammer activation-key info --organization REDHAT --name ak1

Name:                  ak1

ID:                    1

Description:

Host Limit:            Unlimited

Auto Attach:           true

Lifecycle Environment: Development

Content View:          My_Content_view

Host Collections:

1) ID:   2

Name: host_collection2

History

#1 - 06/18/2018 09:51 AM - Anand Agrawal

- Bugzilla link set to 1592267

- Pull request https://github.com/Katello/hammer-cli-katello/pull/562 added

#2 - 06/19/2018 08:47 AM - Tomáš Strachota

- Project changed from Hammer CLI to Katello

- Category set to Hammer

Bugs from hammer-cli-katello should be reported in project Katello, category Hammer.

#3 - 06/20/2018 05:58 PM - Jonathon Turel

- translation missing: en.field_release set to 338

#4 - 06/28/2018 01:57 PM - Jonathon Turel

- Status changed from New to Closed
